Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.parser

# Interface TokenVisitor

All Known Implementing Classes:
  `StatementDetector`

@InternalApi public interface TokenVisitor
Visitor for tokens.

Used by `SqlParser` to notify the visitors of tokens.

Since:
  5
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`void`
`complete(VisitorRegistrar visitorRegistrar)`
Signals that the last token was produced and the statement text was fully parsed.
`void`
`visitToken(Token token, VisitorRegistrar visitorRegistrar)`
Notifies the visitor of a token.

## Method Details

### visitToken

void visitToken(Token token, VisitorRegistrar visitorRegistrar)
Notifies the visitor of a token.

Parameters:
  `token` - Token
  `visitorRegistrar` - Visitor registrar (can be used to remove itself, or add other visitors)

### complete

void complete(VisitorRegistrar visitorRegistrar)
Signals that the last token was produced and the statement text was fully parsed.

Parameters:
  `visitorRegistrar` - Visitor registrar (can be used to remove itself, or add other visitors)